/*
	config.h / config.c

	--read and write configuration to registory

	-----*-----*-----*-----*-----*-----*-----*-----*-----*-----*-----*-----
	Author: Yoshioka Tsuneo(QWF00133@nifty.ne.jp)
	Welcome any e-mail to me(-:

	If you can, please send only one email to me that you use this file/program.
	You can copy,edit,re-distribute this file for any purpose FREE!
	You can use this file as PDS(Public Domain Software).
	You can send bugs,hope,etc.. to me with no fee.
	You can take support service with charging a fee. please consult to me.
	Thank you for use my program.
	-----*-----*-----*-----*-----*-----*-----*-----*-----*-----*-----*-----

	Registory Path:
		HKEY_CURRENT_USER\\Software\\ArchiverDLL\\FTP32

	Registory Name:
		EMailAddress(REG_SZ)
			default email address for "anonymous" ftp.

		FtpCtrlPort(REG_DWORD)
			default port number of ftp control session.(default:21)

		PassiveMode(REG_DWORD)		(NOT IMPREMENTED now)
			0:	Normal Mode
			1:	Passive Mode
			2:	Auto Select mode (default)
*/
#ifndef __CONFIG_H
#define __CONFIG_H

#include "windows.h"

extern char default_email[];
extern char default_basedir[];
extern int default_ftpctrlport;
extern int default_passivemode;

extern int default_proxytype;
extern char default_proxyhost[];
extern int default_proxyport;

extern int default_resumegetmode;

int load_setting(void);
int save_setting(void);
int DisplayConfigDialog(HINSTANCE hInst,HWND hwnd);

#endif
